function NarrativeTweakData:create_job_name(job_id, skip_professional)
	local color_ranges = {}
	local job_tweak = self:job_data(job_id)
	local text_id = managers.localization:to_upper_text(job_tweak.name_id)
	if job_tweak.dlc and tweak_data.dlc[job_tweak.dlc] and ( tweak_data.dlc[job_tweak.dlc].free or job_tweak.dlc == "pd2_clan" ) then
		local pro_text = "  " .. managers.localization:to_upper_text("cn_menu_community")
		local s_len = utf8.len(text_id)
		text_id = text_id .. pro_text
		local e_len = utf8.len(text_id)
		table.insert(color_ranges, {
			start = s_len,
			stop = e_len,
			color = job_tweak.dlc == "pd2_clan" and tweak_data.screen_colors.community_color
		})
	elseif job_tweak.dlc and tweak_data.dlc[job_tweak.dlc] and ( not tweak_data.dlc[job_tweak.dlc].free or not job_tweak.dlc == "pd2_clan" ) then
		--if job_tweak.dlc ~= "pd2_clan" or not managers.localization:to_upper_text("cn_menu_community") then
		--end
		local pro_text = "  " .. managers.localization:to_upper_text("cn_menu_dlc")
		local s_len = utf8.len(text_id)
		text_id = text_id .. pro_text
		local e_len = utf8.len(text_id)
		table.insert(color_ranges, {
			start = s_len,
			stop = e_len,
			color = tweak_data.screen_colors.dlc_color
		})
	end
	if not skip_professional and job_tweak.professional then
		if not job_tweak.campaign then
		local pro_text = "  " .. managers.localization:to_upper_text("cn_menu_pro_job")
		local s_len = utf8.len(text_id)
		text_id = text_id .. pro_text
		local e_len = utf8.len(text_id)
		table.insert(color_ranges, {
			start = s_len,
			stop = e_len,
			color = tweak_data.screen_colors.pro_color
		})
		end
	end
	if not skip_professional and job_tweak.campaign then
		local pro_text = "  " .. "CAMPAIGN"
		local s_len = utf8.len(text_id)
		text_id = text_id .. pro_text
		local e_len = utf8.len(text_id)
		table.insert(color_ranges, {
			start = s_len,
			stop = e_len,
			color = Color.green
		})
	end
	return text_id, color_ranges
end