local PrePlanningTweakData_oinit = PrePlanningTweakData._create_locations

function PrePlanningTweakData:_create_locations(tweak_data)
PrePlanningTweakData_oinit(self, tweak_data)

	self.locations.hoxcavity1 = {
		default_plans = {
			escape_plan = "escape_helicopter_loud",
			vault_plan = "vault_big_drill"
		},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_big",
		start_location = {
			group = "a",
			x = 1500,
			y = 1025,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_big_loc_a",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_lobby",
			map_x = -1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1500,
					y = 1025,
					text_id = "menu_pp_info_frontdoor",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_a"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 1300,
					y = 1690,
					text_id = "menu_pp_info_garage",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_l"
				},
				{
					x = 1000,
					y = 1025,
					text_id = "menu_pp_info_mainhall",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_n"
				},
				{
					x = 1950,
					y = 350,
					text_id = "menu_pp_info_entrypoint",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_o"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 348,
					y = 590,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				},
				{
					x = 574,
					y = 1742,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_b",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_2",
			map_x = 0,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 190,
					y = 1700,
					text_id = "menu_pp_info_mgroffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_k"
				},
				{
					x = 800,
					y = 480,
					text_id = "menu_pp_info_backoffices",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_c"
				},
				{
					x = 90,
					y = 1024,
					text_id = "menu_pp_info_timelock",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_d"
				},
				{
					x = 870,
					y = 1625,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 164,
					y = 1437,
					text_id = "menu_pp_info_securityroom",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_i"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_c",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_roof",
			map_x = 1.1,
			map_y = 0.5,
			map_size = 1,
			x1 = -250,
			y1 = -3000,
			x2 = 5750,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 869,
					y = 1629,
					text_id = "menu_pp_info_ladder",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_b"
				},
				{
					x = 1356,
					y = 1164,
					text_id = "menu_pp_info_zipline",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_m"
				},
				{
					x = 782,
					y = 1458,
					text_id = "menu_pp_info_roof",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_h"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_d",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault_2",
			map_x = 0,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1152,
					y = 1298,
					text_id = "menu_pp_info_vaultsecurity1",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 1152,
					y = 746,
					text_id = "menu_pp_info_vaultsecurity2",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_g"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		},
		{
			name_id = "menu_pp_big_loc_e",
			texture = "guis/dlcs/big_bank/textures/pd2/pre_planning/big_level_vault",
			map_x = -1.1,
			map_y = -0.6,
			map_size = 1,
			x1 = -5771,
			y1 = -3000,
			x2 = 229,
			y2 = 3000,
			rotation = 90,
			custom_points = {
				{
					x = 1154,
					y = 1015,
					text_id = "menu_pp_info_moneycounting",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_e"
				},
				{
					x = 465,
					y = 1365,
					text_id = "menu_pp_info_vault",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "pln_pp_bb1_f"
				}
			}
		}
	}
	self.locations.hoxcavity2 = {
		default_plans = {},
		total_budget = 6,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_hlm1",
		start_location = {
			group = "a",
			x = 1024,
			y = 512,
			zoom = 1
		},
		grid_width_mul = 0.5,
		grid_height_mul = 1.4,
		{
			name_id = "menu_pp_mia_1_loc_a",
			texture = "guis/textures/pd2/pre_planning/hlm_01",
			map_x = -0.55,
			map_y = 0,
			map_width = 2,
			map_height = 1,
			x1 = -5524,
			y1 = -5358,
			x2 = 7476,
			y2 = 1142,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mia_1_loc_b",
			texture = "guis/textures/pd2/pre_planning/hlm_02",
			map_x = 1.05,
			map_y = -0.25,
			map_width = 1,
			map_height = 0.5,
			x1 = -1018,
			y1 = -4672,
			x2 = 7782,
			y2 = -272,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mia_1_loc_c",
			texture = "guis/textures/pd2/pre_planning/hlm_03",
			map_x = 1.05,
			map_y = 0.25,
			map_width = 1,
			map_height = 0.5,
			x1 = -1018,
			y1 = -4672,
			x2 = 7782,
			y2 = -272,
			rotation = 0,
			custom_points = {}
		}
	}
	self.locations.hoxcavity3 = {
		default_plans = {},
		total_budget = 6,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_hlm2",
		grid_width_mul = 0.5,
		grid_height_mul = 0.5,
		start_location = {
			group = "a",
			x = 290,
			y = 835,
			zoom = 1.25
		},
		{
			name_id = "menu_pp_mia_2_loc_a",
			texture = "guis/textures/pd2/pre_planning/hlm2_01",
			map_x = 0,
			map_y = 1,
			map_width = 1,
			map_height = 1,
			x1 = -3050,
			y1 = -3275,
			x2 = 3850,
			y2 = 3625,
			rotation = 0,
			custom_points = {
				{
					x = 290,
					y = 840,
					text_id = "menu_pp_info_the_box",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_pp_hm2_01"
				},
				{
					x = 423,
					y = 507,
					text_id = "menu_pp_info_bombstrapped",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_pp_hm2_04"
				}
			}
		},
		{
			name_id = "menu_pp_mia_2_loc_b",
			texture = "guis/textures/pd2/pre_planning/hlm2_02",
			map_x = -1,
			map_y = 0,
			map_width = 1,
			map_height = 1,
			x1 = -3050,
			y1 = -3275,
			x2 = 3850,
			y2 = 3625,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mia_2_loc_c",
			texture = "guis/textures/pd2/pre_planning/hlm2_03",
			map_x = 0,
			map_y = 0,
			map_width = 1,
			map_height = 1,
			x1 = -3050,
			y1 = -3275,
			x2 = 3850,
			y2 = 3625,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mia_2_loc_d",
			texture = "guis/textures/pd2/pre_planning/hlm2_04",
			map_x = 1,
			map_y = 0,
			map_width = 1,
			map_height = 1,
			x1 = -3050,
			y1 = -3275,
			x2 = 3850,
			y2 = 3625,
			rotation = 0,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mia_2_loc_e",
			texture = "guis/textures/pd2/pre_planning/hlm2_05",
			map_x = 0,
			map_y = -1,
			map_width = 1,
			map_height = 1,
			x1 = -3050,
			y1 = -3275,
			x2 = 3850,
			y2 = 3625,
			rotation = 0,
			custom_points = {
				{
					x = 300,
					y = 143,
					text_id = "menu_pp_info_vault_comm",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_pp_hm2_02"
				},
				{
					x = 546,
					y = 143,
					text_id = "menu_pp_info_cocaine_mountain",
					to_upper = true,
					icon = 45,
					rotation = 0,
					post_event = "Play_pln_pp_hm2_03"
				}
			}
		}
	}
	self.locations.hoxcavity6 = {
		default_plans = {},
		total_budget = 10,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_museum",
		start_location = {
			group = "a",
			x = 1024,
			y = 521,
			zoom = 1.5
		},
		{
			name_id = "menu_pp_mus_loc_a",
			texture = "guis/textures/pd2/pre_planning/mus_1",
			map_x = -1.05,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -10000,
			y1 = -5000,
			x2 = 10000,
			y2 = 5000,
			rotation = -90,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mus_loc_b",
			texture = "guis/textures/pd2/pre_planning/mus_2",
			map_x = 0,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -10000,
			y1 = -5000,
			x2 = 10000,
			y2 = 5000,
			rotation = -90,
			custom_points = {}
		},
		{
			name_id = "menu_pp_mus_loc_c",
			texture = "guis/textures/pd2/pre_planning/mus_3",
			map_x = 1.05,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -10000,
			y1 = -5000,
			x2 = 10000,
			y2 = 5000,
			rotation = -90,
			custom_points = {}
		}
	}
	self.locations.hoxcavity8 = {
		default_plans = {
			entry_plan = "kenaz_silent_entry",
			escape_plan = "kenaz_limo_escape"
		},
		total_budget = 15,
		mission_briefing_texture = "guis/textures/pd2/pre_planning/mission_briefing_casino",
		start_location = {
			group = "a",
			x = 1024,
			y = 1024,
			zoom = 1
		},
		{
			name_id = "menu_pp_kenaz_loc_a",
			texture = "guis/dlcs/kenaz/textures/pd2/pre_planning/kenaz_loc_a_df",
			map_x = -1.1,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -6175,
			y1 = -14450,
			x2 = 4975,
			y2 = 7850,
			rotation = 0
		},
		start_location = {
			group = "b",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_kenaz_loc_b",
			texture = "guis/dlcs/kenaz/textures/pd2/pre_planning/kenaz_loc_b_df",
			map_x = 0,
			map_y = 0,
			map_width = 1,
			map_height = 2,
			x1 = -6175,
			y1 = -14450,
			x2 = 5475,
			y2 = 8350,
			rotation = 0,
			custom_points = {
				{
					x = 544,
					y = 1181,
					text_id = "menu_pp_info_kenaz_reception",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_140"
				},
				{
					x = 546,
					y = 1223,
					text_id = "menu_pp_info_kenaz_lobby",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_141"
				},
				{
					x = 229,
					y = 1020,
					text_id = "menu_pp_info_kenaz_pool_area",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_142"
				},
				{
					x = 812,
					y = 971,
					text_id = "menu_pp_info_kenaz_outside_lounge",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_143"
				},
				{
					x = 551,
					y = 924,
					text_id = "menu_pp_info_kenaz_gambling_hall",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_144"
				},
				{
					x = 550,
					y = 566,
					text_id = "menu_pp_info_kenaz_employees_only",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_146"
				},
				{
					x = 546,
					y = 625,
					text_id = "menu_pp_info_kenaz_security_center",
					to_upper = true,
					icon = 45,
					rotation = -90,
					post_event = "Play_pln_ca1_147"
				}
			}
		},
		start_location = {
			group = "c",
			x = 512,
			y = 512,
			zoom = 1
		},
		{
			name_id = "menu_pp_kenaz_loc_c",
			texture = "guis/dlcs/kenaz/textures/pd2/pre_planning/kenaz_loc_c_df",
			map_x = 0.85,
			map_y = -0.5,
			map_width = 0.5,
			map_height = 1,
			x1 = -200,
			y1 = -400,
			x2 = 200,
			y2 = 400,
			rotation = 0
		}
	}
	
end